summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2005-05-02 09:44:59 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:16:26 -0500
commit34a70b80dad53af17f7ed161f309dd1676e0254a (patch)
tree6f8700a02638f9d9b0e3c55d0e80e5ca2ff72f27
parentd58fb60ddc5f21d629da61fbbb77bb1937770253 (diff)
downloadsamba-34a70b80dad53af17f7ed161f309dd1676e0254a.tar.gz
samba-34a70b80dad53af17f7ed161f309dd1676e0254a.tar.bz2
samba-34a70b80dad53af17f7ed161f309dd1676e0254a.zip
r6568: Some more small 'make test' fixes
(This used to be commit 02160c991a7e9bef2fabfe338a772e32679edf5d)
-rw-r--r--source4/build/smb_build/makefile.pm3
-rwxr-xr-xsource4/script/tests/selftest.sh12
2 files changed, 6 insertions, 9 deletions
diff --git a/source4/build/smb_build/makefile.pm b/source4/build/smb_build/makefile.pm
index 1ca3226d37..bc5690ddf3 100644
--- a/source4/build/smb_build/makefile.pm
+++ b/source4/build/smb_build/makefile.pm
@@ -153,10 +153,9 @@ basics: idl proto_exists
test: all
./script/tests/selftest.sh $(prefix)
-SOCKET_WRAPPER_DIR=`pwd`/sockdir
+export SOCKET_WRAPPER_DIR=$(shell pwd)/sockdir
test-swrap: all
- export SOCKET_WRAPPER_DIR
mkdir -p $(SOCKET_WRAPPER_DIR)
./script/tests/selftest.sh $(prefix)
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index 7f51ce2c39..a52f38b3b1 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -3,7 +3,6 @@ DOMAIN=SAMBADOMAIN
REALM=$DOMAIN
PASSWORD=penguin
SRCDIR=`pwd`
-SOCKET_WRAPPER_DIR=$PREFIX/sockdir
TMPDIR=$PREFIX/tmp
if [ $# -lt 1 ]
@@ -17,7 +16,6 @@ PREFIX=$1
rm -f $PREFIX/private/*
./setup/provision.pl --quiet --outputdir $PREFIX/private --domain $DOMAIN --realm $REALM --adminpass $PASSWORD
-mkdir -p $SOCKET_WRAPPER_DIR
cat >$PREFIX/lib/smb.conf <<EOF
[global]
workgroup = $DOMAIN
@@ -31,9 +29,9 @@ export SOCKET_WRAPPER_DIR
cd $PREFIX
./sbin/smbd
sleep 2
-$PREFIX/bin/smbtorture ncalrpc: LOCAL-*
-$SRCDIR/script/tests/test_rpc.sh localhost administrator $PASSWORD $DOMAIN
-$SRCDIR/script/tests/test_binding_string.sh localhost administrator $PASSWORD $DOMAIN
-$SRCDIR/script/tests/test_echo.sh localhost administrator $PASSWORD $DOMAIN
-$SRCDIR/script/tests/test_posix.sh //localhost/tmp administrator $PASSWORD
+$SRCDIR/script/tests/test_rpc.sh localhost administrator $PASSWORD $DOMAIN || exit 1
+$SRCDIR/script/tests/test_binding_string.sh localhost administrator $PASSWORD $DOMAIN || exit 1
+$SRCDIR/script/tests/test_echo.sh localhost administrator $PASSWORD $DOMAIN || exit 1
+$SRCDIR/script/tests/test_posix.sh //localhost/tmp administrator $PASSWORD || exit 1
+$PREFIX/bin/smbtorture ncalrpc: LOCAL-* || exit 1
kill `cat $PREFIX/var/locks/smbd.pid`